package com.ruoyi.ibs.grid.domain.entity;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * 网格并集客户明细_公司(GridUnionCustGongsi965)实体类
 *
 * @author makejava
 * @since 2025-06-24 10:02:51
 */
@Data
public class GridUnionCustGongsi implements Serializable {
    private static final long serialVersionUID = 947049668092050692L;
    /**
     * 部室归属 0零售 1公司
     */
    private String opsDept;
    /**
     * 归属支行ID
     */
    private String deptId;
    /**
     * 归属支行名称
     */
    private String deptName;

    private String custType;
    /**
     * 归属网点ID
     */
    private String outletsId;
    /**
     * 归属网点名称
     */
    private String outletsName;
    /**
     * 归属柜员号
     */
    private String userName;
    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String custName;
    /**
     * 客户证件号
     */
    @Excel(name = "客户证件号")
    private String socialCreditCode;
    /**
     * 客户内码
     */
    @Excel(name = "客户内码")
    private String custIsn;
    /**
     * 活期存款余额
     */
    /** 活期存款余额 */
    @Excel(name = "活期存款余额")
    private String hqCurBalance;

    /** 保证金存款余额 */
    @Excel(name = "保证金存款余额")
    private String bzCurBalance;

    /** 是否授信 */
    @Excel(name = "是否授信")
    private String isCredit;

    /** 贷款余额 */
    @Excel(name = "贷款余额")
    private String loanBalanceCny;

    /** 贷款年日均 */
    @Excel(name = "贷款年日均")
    private String loanYearDailyaverage;

    /** 是否合同签约 */
    @Excel(name = "是否合同签约")
    private String isHtqy;

    /** 是否有签发承兑汇票 */
    @Excel(name = "是否有签发承兑汇票")
    private String financeProd716OpenFlag;

    /** 承兑汇票余额 */
    @Excel(name = "承兑汇票余额")
    private String financeProd716Balance;

    /** 是否有贴现业务 */
    @Excel(name = "是否有贴现业务")
    private String financeProd711OpenFlag;

    /** 贴现金额 */
    @Excel(name = "贴现金额")
    private String financeProd711Balance;

    /** 是否有保函业务 */
    @Excel(name = "是否有保函业务")
    private String intlBussinessJcbhOpenFlag;

    /** 是否为有效代发工资客户 */
    @Excel(name = "是否为有效代发工资客户")
    private String isUstr;

    /** 月均代发工资笔数 */
    @Excel(name = "月均代发工资笔数")
    private String ustrCountPerM;

    /** 月均代发工资金额(元) */
    @Excel(name = "月均代发工资金额(元)")
    private String ustrBalM;

    /** 是否代扣电费 */
    @Excel(name = "是否代扣电费")
    private String elecchargeSignFlag;

    /** 是否代扣水费 */
    @Excel(name = "是否代扣水费")
    private String waterchargeSignFlag;

    /** 是否代扣税费 */
    @Excel(name = "是否代扣税费")
    private String taxdeductionSignFlag;

    /** 是否票据宝签约 */
    @Excel(name = "是否票据宝签约")
    private String pjb;

    /** 是否财资宝签约 */
    @Excel(name = "是否财资宝签约")
    private String czb;

    /** 是否收付宝签约 */
    @Excel(name = "是否收付宝签约")
    private String sfb;

    /** 是否贸融宝签约 */
    @Excel(name = "是否贸融宝签约")
    private String mrb;

    /** 是否数字生态产品签约 */
    @Excel(name = "是否数字生态产品签约")
    private String szst;

    /** 是否开户 */
    @Excel(name = "是否开户")
    private String isOpenSts;

    /** 是否国际结算业务 */
    @Excel(name = "是否国际结算业务")
    private String intlBussinessOpenFlag;

    /** 是否有远期结算汇业务 */
    @Excel(name = "是否有远期结算汇业务")
    private String intlBussiness325OpenFlag;
    @Excel(name = "近365天有无走访")
    private String is365zf;
    @Excel(name = "近180天有无走访")
    private String is180zf;
    @Excel(name = "近90天有无走访")
    private String is90zf;
    @Excel(name = "近30天有无走访")
    private String is30zf;


    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getOutletsId() {
        return outletsId;
    }

    public void setOutletsId(String outletsId) {
        this.outletsId = outletsId;
    }

    public String getOutletsName() {
        return outletsName;
    }

    public void setOutletsName(String outletsName) {
        this.outletsName = outletsName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getHqCurBalance() {
        return hqCurBalance;
    }

    public void setHqCurBalance(String hqCurBalance) {
        this.hqCurBalance = hqCurBalance;
    }

    public String getBzCurBalance() {
        return bzCurBalance;
    }

    public void setBzCurBalance(String bzCurBalance) {
        this.bzCurBalance = bzCurBalance;
    }

    public String getIsCredit() {
        return isCredit;
    }

    public void setIsCredit(String isCredit) {
        this.isCredit = isCredit;
    }

    public String getLoanBalanceCny() {
        return loanBalanceCny;
    }

    public void setLoanBalanceCny(String loanBalanceCny) {
        this.loanBalanceCny = loanBalanceCny;
    }

    public String getLoanYearDailyaverage() {
        return loanYearDailyaverage;
    }

    public void setLoanYearDailyaverage(String loanYearDailyaverage) {
        this.loanYearDailyaverage = loanYearDailyaverage;
    }

    public String getIsHtqy() {
        return isHtqy;
    }

    public void setIsHtqy(String isHtqy) {
        this.isHtqy = isHtqy;
    }

    public String getFinanceProd716OpenFlag() {
        return financeProd716OpenFlag;
    }

    public void setFinanceProd716OpenFlag(String financeProd716OpenFlag) {
        this.financeProd716OpenFlag = financeProd716OpenFlag;
    }

    public String getFinanceProd716Balance() {
        return financeProd716Balance;
    }

    public void setFinanceProd716Balance(String financeProd716Balance) {
        this.financeProd716Balance = financeProd716Balance;
    }

    public String getFinanceProd711OpenFlag() {
        return financeProd711OpenFlag;
    }

    public void setFinanceProd711OpenFlag(String financeProd711OpenFlag) {
        this.financeProd711OpenFlag = financeProd711OpenFlag;
    }

    public String getFinanceProd711Balance() {
        return financeProd711Balance;
    }

    public void setFinanceProd711Balance(String financeProd711Balance) {
        this.financeProd711Balance = financeProd711Balance;
    }

    public String getIntlBussinessJcbhOpenFlag() {
        return intlBussinessJcbhOpenFlag;
    }

    public void setIntlBussinessJcbhOpenFlag(String intlBussinessJcbhOpenFlag) {
        this.intlBussinessJcbhOpenFlag = intlBussinessJcbhOpenFlag;
    }

    public String getIsUstr() {
        return isUstr;
    }

    public void setIsUstr(String isUstr) {
        this.isUstr = isUstr;
    }

    public String getUstrCountPerM() {
        return ustrCountPerM;
    }

    public void setUstrCountPerM(String ustrCountPerM) {
        this.ustrCountPerM = ustrCountPerM;
    }

    public String getUstrBalM() {
        return ustrBalM;
    }

    public void setUstrBalM(String ustrBalM) {
        this.ustrBalM = ustrBalM;
    }

    public String getElecchargeSignFlag() {
        return elecchargeSignFlag;
    }

    public void setElecchargeSignFlag(String elecchargeSignFlag) {
        this.elecchargeSignFlag = elecchargeSignFlag;
    }

    public String getWaterchargeSignFlag() {
        return waterchargeSignFlag;
    }

    public void setWaterchargeSignFlag(String waterchargeSignFlag) {
        this.waterchargeSignFlag = waterchargeSignFlag;
    }

    public String getTaxdeductionSignFlag() {
        return taxdeductionSignFlag;
    }

    public void setTaxdeductionSignFlag(String taxdeductionSignFlag) {
        this.taxdeductionSignFlag = taxdeductionSignFlag;
    }

    public String getPjb() {
        return pjb;
    }

    public void setPjb(String pjb) {
        this.pjb = pjb;
    }

    public String getCzb() {
        return czb;
    }

    public void setCzb(String czb) {
        this.czb = czb;
    }

    public String getSfb() {
        return sfb;
    }

    public void setSfb(String sfb) {
        this.sfb = sfb;
    }

    public String getMrb() {
        return mrb;
    }

    public void setMrb(String mrb) {
        this.mrb = mrb;
    }

    public String getSzst() {
        return szst;
    }

    public void setSzst(String szst) {
        this.szst = szst;
    }

    public String getIsOpenSts() {
        return isOpenSts;
    }

    public void setIsOpenSts(String isOpenSts) {
        this.isOpenSts = isOpenSts;
    }

    public String getIntlBussinessOpenFlag() {
        return intlBussinessOpenFlag;
    }

    public void setIntlBussinessOpenFlag(String intlBussinessOpenFlag) {
        this.intlBussinessOpenFlag = intlBussinessOpenFlag;
    }

    public String getIntlBussiness325OpenFlag() {
        return intlBussiness325OpenFlag;
    }

    public void setIntlBussiness325OpenFlag(String intlBussiness325OpenFlag) {
        this.intlBussiness325OpenFlag = intlBussiness325OpenFlag;
    }

    public String getIs365zf() {
        return is365zf;
    }

    public void setIs365zf(String is365zf) {
        this.is365zf = is365zf;
    }

    public String getIs180zf() {
        return is180zf;
    }

    public void setIs180zf(String is180zf) {
        this.is180zf = is180zf;
    }

    public String getIs90zf() {
        return is90zf;
    }

    public void setIs90zf(String is90zf) {
        this.is90zf = is90zf;
    }

    public String getIs30zf() {
        return is30zf;
    }

    public void setIs30zf(String is30zf) {
        this.is30zf = is30zf;
    }

}

